<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>hw5</title>
</head>

<body>
    <script>
        "use strict";

        function clonObj(FirstObj) {
            let TestObj = {};
            for (let Key in FirstObj) {
                if (typeof FirstObj[Key] == "Object") {
                    TestObj[Key] = clonObj(FirstObj[Key]);
                } else {
                    TestObj[Key] = FirstObj[Key]
                }
            }
            return TestObj

        }

        let Obj = {
            name: "Alex",
            age: 23,
            person: {
                width: 300,
                height: 200,
                title: "Menu"
            }
        };

        clonObj(Obj);

        console.log(Obj)

    </script>



</body>

</html>
